

                   Network OSI Operational Working Group
                                 Minutes
                             November 20, 1991
                           Santa Fe, New Mexico

Chair:
     Sue Hares/Merit (skh@merit.edu)

Mailing List:
     noop-request@merit.edu  (administrative requests only)
     noop@merit.edu

Minutes:
     These minutes cover the Wednesday evening session held from
     6-7 P.M.


                           +-----------+
                           | Objective |
                           +-----------+

The objective of the session was to begin work on identifying what
tools are needed and available for assisting in the deployment and
management of OSI protocols in the Internet.  Five tools were dis-
cussed.  Sue and Cathy Wittbrott (ESNET) will produce an Internet
Draft (I-D) expanding on the information below.  The intent is to end up
with an Internet Standard for ad-hoc OSI tools.  The I-D will specify
the required and recommended tools.  However, the listing of tool
implementations will be in the NOC Tools Catalogue.


                           +----------+
                           | OSI Ping |
                           +----------+

Ping is critical and is already supported on most intermediate systems
(ISs).  All known implementations use the method adopted by ISO (i.e.,
the new PDU type) except for Sun, which implemented the selector-based
ping.  The ISO method is the one to be mandated and by the I-D in all ISs.

Most end systems (ESs) do not implement osi ping, but the I-D will
mandate it for all ESs.

Ping needs to use some name-to-address mapping, such as an '/etc/isohosts'
table.

The I-D should consider including features from IP ping other than the
basic mechanism, such as 'fill'.


                         +----------------+
                         | OSI Traceroute |
                         +----------------+

Traceroute is also important to debugging network problems.
Traceroute is not widely available on popular platforms.  We need at
least some simple functions first, then features like source route
later.  Traceroute should also use the '/etc/isohosts' file for
name-to-address mapping.



                          +--------------+
                          | Ping Monitor |
                          +--------------+

This is a useful tool, but not as important as the other tools.  It
will be suggested, but not mandated.



                      +----------------------+
                      | Routing Table Dumper |
                      +----------------------+

Both ESs and ISs should have a capability to locally dump the routing
tables (the moral equivalent of 'netstat -rn').  We should specify in
the I-D what information is useful to see.  Note that the information
should be consistent with the MIBs.


                        +----------------+
                        | Transport Ping |
                        +----------------+

In addition to verifying that the network entity is alive via ping,
there was some feeling that it would be useful to have a transport
ping as well.  Currently, FTAM is used to verify layer 4+
connectivity, but this relies on getting all selectors right.  Due to
lack of familiarity with OSI and its terminology, selectors and other
higher-layer configuration information is not always understood and
correctly configured.  A transport ping to a well-known transport
selector might be useful.  This tool needs more thought and will not
be included in the I-D.




                    +-----------------------+
                    | Platforms of Interest |
                    +-----------------------+

The following platforms are (non-exhaustive) lists of the ES and IS
environments of interest.

	ES:
		Banyan		BSD 4.x		CDC
		DECNET Phase V (Ultrix & VMS)	HP
		IBM RS6000	Retix		Sun
		Wollongong

	IS:
		3Com		Cisco		DEC routers
		NSC		Proteon		Wellfleet

